
/*
 * WirelessPower_Defs.h
 *
 *  Created on: Oct 13, 2015
 *      Author: RK
 */

#ifndef WIRELESSPOWER_DEFS_H_
#define WIRELESSPOWER_DEFS_H_

#define BIT7 0x80
#define BIT6 0x40
#define BIT5 0x20
#define BIT4 0x10
#define BIT3 0x08
#define BIT2 0x04
#define BIT1 0x02
#define BIT0 0x01

#define HIGH 1
#define LOW 0

#define TRUE 1
#define FALSE 0

#define PING 0
#define PONG 1


#define LOWBYTE(v)   ((unsigned char) (v))
#define HIGHBYTE(v)  ((unsigned char) (((unsigned int) (v)) >> 8))

//USB interface
#define USB_PACKET_SIZE 62
#define TX_BUFFER_LEN 500

//global variables shared across files
extern bit ADC_DATA_REQUESTED;
extern bit ADC_BUFFER_FULL;
extern unsigned char xdata ADCValues[TX_BUFFER_LEN];


//function prototypes
void Transmit_USB_Packet();
void myAPICallback();

//port pins
sbit RGBLED_G = P1^4;
sbit RGBLED_B = P1^5;
sbit RGBLED_R = P1^6;

#endif /*WIRELESSPOWER_DEFS_H_ */
